[# FRONT.Q ---  8/23/92   REVISED FOR DATA ENTRY OF WLS MAIL SURVEY


[# 6/29/92 CHANGED tloq FROM "goto inum" TO "goto T100"

>tloq<  [if loq eq <> goto T100] 
	[cxskip cdil]
	[open cdil]
	[store <> in cdil]
	[store <> in inum]
	[store <> in redy]

>dat1< [allow 6] [loc 27/1]

>mon<  [allow 2] [equiv dat1 position 1]

>year< [allow 2] [equiv dat1 position 5]

>idat< [allow 6]

[# ******************************* INTERVIEWER LOGIN *************************

>T100<  [store <> in inum]
	[store <> in inam]
	[store <> in 998p]
	[store <> in 998q]
	[store <> in 998r]
	[setdate dat1]

>inum< ENTER YOUR LSSC I.D. NUMBER [equiv idat position 7] [indirect]

	===> [goto T111]

>inam<  ENTER YOUR FIRST AND LAST NAME [allow 25] [indirect]

	---------------------------

	===> [goto T111]


[# ******************************* PARTIAL INTERVIEW CALLBACK ROUTINE ********

[# CHANGED T111 "goto bgin" TO "goto T102"
>T111<  [if loq eq <> goto T102]

>redy<  THIS IS A RE-ENTRY FOR SAMPLE NUMBER [bold] [fill IDSW:0] [normal]

	SEX IS : [bold] [fill rsex] [normal]
	

THE DATA ENTRY WAS STOPPED AT QUESTION : [bold] "[fill loq]"[normal]  

	[bold]PRESS[normal] <1> TO CONTINUE

	===>

>gtlq<  [return]
	[gotoloq]

>cdil<  Finishing a partial entry

	<1>     Ready to start re-entry [goto 4ky]
	<2>     Not ready [goto 998p]

	===>

>4ky<   [setkey <f4> to <sk cb 1>]  [# SETTING <f4> to mean "skip to cb"
	[setkey <f3> to <j>] [# setting <f3> to mean command "jump"
	[setkey <f5> to <jf>] [# setting <f5> to mean command "jump forward"
	[setkey <f7> to <r>] [# setting <f7> to mean command "return"
	[setkey <f9> to <b>] [# setting <f9> to mean command "backup"

>gtcx<  [return]

[# ****************************************************

>T102<  [store <> in bgin]

>rsex<  [allow 6]

>rsx1<  [if RSEX eq <1>]
		[store <male> in rsex]
	[else]
		[store <female> in rsex]
	[endif]

>bgin<  Begin data entry
	
	
	<1>  READY TO START DATA ENTRY [goto T300]


	<2>  NOT READY TO START [goto 998p]
	
	===>


>cb<    Quit data entry for now 

	(IF YOU REACHED THIS POINT ACCIDENTALLY, PRESS THE <F7> KEY 
	TO RETURN TO THE ENTRY INSTRUMENT.)


	<1>     Yes, I'm ready to quit data entry

	===> [goto T206]

>T300<  [setkey <f4> to <sk cb 1>] [# SETTING <f4> to mean "skip to cb"
	[setkey <f3> to <j>] [# setting <f3> to mean command "jump"
	[setkey <f5> to <jf>] [# setting <f5> to mean command "jump forward"
	[setkey <f7> to <r>] [# setting <f7> to mean command "return"
	[setkey <f9> to <b>] [# setting <f9> to mean command "backup"


>btim<  [allow 4] 
	[return]

>etim<  [allow 4]
	[if btim ne <> goto Q1]
	[settime btim]
	[settime btim]
	[goto Q1]

>Q1<    [open cb]

>IDAT<  [allow 6]

>ttim<  [allow 4]

>INUM<  [allow 3] [goto 1a]


[#TIMESTAMP

>t300<   [allow 4] [settime t300]

>T500<  [if etim ne <> goto thnk]
	[settime etim]
	[subtime btim from etim into ttim]

>thnk<  This concludes the data entry.

		[bold]DATE :          [fill dat1:0]
		BEGIN TIME :    [fill btim:0]      
		END TIME :      [fill etim:0]
		ELAPSED TIME :  [fill ttim] minutes [normal]

	([bold] REMEMBER:[normal] THE PROGRAM WILL AUTOMATICALLY CREATE THE 
	COMPLETED RESULT CODE AFTER YOU MOVE PAST THIS ITEM. 
	YOU WILL [bold]NOT[normal] GO TO THE SCREEN FOR RESULT CODE ENTRY! )


	<1>  TO MOVE ON

	===>

>T211<  [store <11> in otcm] [goto 998q]

>998p<  ( [bold] ENTER CALL RESULT CODE[normal] )

	<6>   PARTIAL Interview - To Be Completed Later [goto T206]
	<19>  Other, need to send to supervisor for decision [goto T219]
	<00>  PASS OVER, NULL Attempt [goto T200]

	===>
 
>T200<  [store <00> in otcm] [skip] 
	[if ver1 eq <2> goto T601]
	[if ver2 eq <2> goto T601]
	[goto 998q]


>T206<  [store <06> in otcm] [skip] [goto 998q]
>T219<  [store <19> in otcm] [goto 998q]

>998q<

	DATA ENTRY PERSON:  Are there any questions on the survey which
	need to be corrected, amended, or changed from the way you entered 
	them?  If so, enter 1 and SPECIFY the Q# and what the corrected 
	answer or information is.

	ENTER [bold]CORRECTIONS ONLY[normal] HERE.  Enter comments on next screen.
      
	----------------------------
 
 
	<1>  YES [specify] ( ENTER 1, CORRECTIONS, FOLLOWED BY /// )

	<2>  NO ( interview is correct as now entered )

	===>

>998r<  Enter call result COMMENTS :   [allow 3]
	
	( ENTER COMMENTS REGARDLESS OF THE RESULT OF THE CALL )
	( WHEN FINISHED WITH COMMENTS, [bold] ENTER /// [normal] )

	( IF YOU WISH TO RECORD ON PAPER THE ITEM NUMBER OF THE LAST QUESTION
	ENTERED, USE THE [bold]f3[normal] KEY TO GO TO THE "JUMP TABLE."  
	THE LAST NUMBERED ITEM IS THE LAST QUESTION ENTERED. )

	===> [specify] 

[# PUT tcnt BACK INTO THE ZERO RECORD BEFORE PROJECT STARTS (was 0/70) ******
>tcnt<  [allow 2] 



>otcm<  [allow 2]


>T600<  [if tcnt eq <>]
		[store <0> in tcnt]
	[endif]
	[add <1> to tcnt]
	[if otcm eq <11>]
		[setdate idat]
		[setdate IDAT]
		[store inum in INUM]
	[endif]
	
>T601<  [goto cmpl]
